/**
 * Projeto: JavaLight
 * Tipo: Alimento
 * @author Mateus Dantas de Paula(mdp@cin.ufpe.br)
 */

package Alimento;

public class Alimento {
  private String nome; //nome do cliente
  private int pontos; // pontuao do alimento

/**
* Construtor da classe alimentos
*
* @param pontos    pontuaao associado ao alimento
* @param nome           Nome do alimento
*/

 public Alimento(String nome, int pontos) {
 if ((nome == null )|| (pontos < 0 ))
  throw new IllegalArgumentException("Paremetro Invlido");
 else {
  this.pontos = pontos;
  this.nome = nome;
}

   }
  //metodos get
    /**
   * Retorna o nome do Alimento
   *
   * return: Uma string contendo o nome do alimento
   *
   */
   public String getNome() {
     return nome;
   }

    /**
   * Retorna a pontuaao do Alimento
   *
   * return: Um inteiro contendo o numero da pontuaao alimento
   */
   public int getPontos() {
     return this.pontos;
   }
//metodos set
    /**
   * Seta o nome do Alimento
   *
   * @param: Uma string contendo o nome do alimento
   *
   */
   public void setNome (String nometemp){
     nome = nometemp;
   }

   /**
   * Seta a pontuaao do Alimento
   *
   * @param: Um inteiro contendo a pontuaao do alimento
   *
   */
   public void setPontos (int pontos){
     this.pontos = pontos;
   }

}