package Atividade;

public abstract class Atividade {
    protected String nome; //nome do exerccio
    protected int bonus; //pontos a mais na semana para cada hora desse exercicio


    public Atividade(String nome, int bonus) {
        if ( nome == null ) {
            throw new IllegalArgumentException("Argumento invlido.");
        } else {
            this.nome = nome;
        }
        this.bonus = bonus;
    }

   /**
    * Mtodo para retornar o nome
    *
    * return: String com o nome
    *
    */
    public String getNome () {
        return this.nome;
    }

   /**
    * Mtodo para retornar bonus
    *
    * return: int com o bonus
    *
    */
    public int getBonus () {
        return this.bonus;
    }

   /**
    * Mtodo para setar o nome
    *
    * @param nome: String com o nome
    *
    */
    public void setNome (String nome) throws IllegalArgumentException  {
        if( nome != null ) {
            this.nome = nome;
        } else {
            throw new IllegalArgumentException("Argumento invalido.");
        }
    }

   /**
    * Mtodo para setar bonus
    *
    * @param bonus: int com o bonus
    *
    */
    public void setBonus (int bonus) {
        this.bonus = bonus;
    }

    abstract public int desconto ();
}