/**
 * Projeto: JavaLight
 * Tipo:Cliente
 * @author Gustavo Santana(gals@cin.ufpe.br)
 */

package Cliente;

import javax.swing.JOptionPane;



public class RepositorioClientesLista implements RepositorioClientes{
  private int numero; //nmero de clientes
  private Cliente cliente; //nome do cliente
  private RepositorioClientesLista next; //prximo da lista
  private IteratorClienteConjunto iterator;

  /**
  * Construtor da classe CadastroClientes
  */
  public RepositorioClientesLista() {
  }


/**
* Mtodo para inserir um cliente na lista
*
*
*/
  public void inserir (Cliente clientetemp) {

         if ( cliente == null ) {
             cliente = clientetemp;
             numero++;
             next = new RepositorioClientesLista();
         } else {
             next.inserir( clientetemp );
         }

  }


/**
* Mtodo para mostrar todos os clientes
*
*
*/
  public void mostrarTudo( ) {
       int i;
        for(i=0; i < numero; i++)  {
             if(cliente != null) {
           //  JOptionPane.showMessageDialog(null,cliente.getNome(),"Clientes",
             //       JOptionPane.INFORMATION_MESSAGE);
             System.out.print(cliente.getNome()+" ");
             next.mostrarTudo();
             }

         }

  }




/**
* Mtodo para exluir um cliente
*
* @param clienteTemp: nome do objeto cliente
*
*
*/
   public boolean excluir( String nomeClienteTemp ) {
   boolean teste = false;
   Cliente clienteTemp = null;
   clienteTemp = procurar(nomeClienteTemp);
         if( this.cliente != null ) {
             if( this.cliente.equals( clienteTemp ) ) {
                 this.cliente = this.next.cliente;
                 this.next = this.next.next;
                } else {
                 this.next.excluir( nomeClienteTemp );
             }
         }
         else {
         numero --;
         teste = true;
         }
     return teste;
     }

  public Cliente procurar(String nome) {

         Cliente retorno = null;
         if( cliente != null ) {
             if( cliente.getNome().equals( nome ) ) {
                 retorno = cliente;
             } else {
                 retorno = next.procurar( nome );
             }
         }
         return retorno;

}
/**
* Mtodo para procurar um cliente na lista
*
*/
  public boolean existe (String nome) {
    boolean teste = false;
    Cliente temp = null;
    temp = procurar(nome);
    if(temp != null) {
    teste = true;
    }
    else
     teste = false;
    return teste;
  }

/**
* Mtodo para retornar o nmero de clientes
*
* @return: int com o nmero de clientes
*
*/
  public int getNumero () {
    return numero;
  }

/**
* Mtodo para retornar o iterator
*
* @return: Iterator
*
*/

  public IteratorClienteConjunto getIterator() {
    iterator = new IteratorClienteConjunto();
    iterator.add(this.cliente);
    if (this.next != null)
      this.getIteratorNext(this.next);
    return this.iterator;
  }

/**
* Mtodo para auxiliar o getIterator
*
* @param: RepositorioAlimentosLista
*
*/

  private void getIteratorNext(RepositorioClientesLista clientesTemp ) {
      this.iterator.add(clientesTemp.cliente);
         if(clientesTemp.next != null)
          getIteratorNext(clientesTemp.next);
  }



 }
