/**
 * Projeto: JavaLight
 * Tipo: Domestica
 * @author Gustavo Santana(gals@cin.ufpe.br)
 */
package Domestica;

import java.util.Vector;

public class IteratorDomesticaConjunto implements IteratorDomestica{
    private int indiceAtual, tamanho;
    private Vector vetor;

    public IteratorDomesticaConjunto() {
        indiceAtual = 0;
        tamanho = 0;
        vetor = new Vector();
    }

    public Domestica next() {
        Domestica domesticaTemp;

        if(indiceAtual <= tamanho) {
            domesticaTemp = (Domestica) vetor.elementAt(indiceAtual);
            if (indiceAtual == tamanho) {
                indiceAtual = 0;
            } else {
                indiceAtual++;
            }
        } else {
            domesticaTemp = null;
            indiceAtual = 0;
        }

        return domesticaTemp;
    }

    public boolean hasNext() {
        boolean teste = false;

        if( indiceAtual == (tamanho-1) ) {
            teste = false;
        } else {
            teste = true;
        }
        return teste;
    }

    public void add (Domestica domesticaTemp) {
        if ( domesticaTemp == null ) {
            throw new IllegalArgumentException("Argumento invlido");
        }
        else {
            vetor.add(domesticaTemp);
            tamanho++;
        }
    }
}