/**
 * Projeto: JavaLight
 * Tipo: Alimento
 * @author Gustavo Santana(gals@cin.ufpe.br)
 */


package Exercicio;

public class CadastroExercicios {
  private RepositorioExercicios exercicios; //Lista de exerccios

 /**
 *
 * Construtor da CadastroExercicios
 *
 */
  public CadastroExercicios(RepositorioExercicios exerciciosTemp) {
     exercicios = exerciciosTemp;
  }

/**
* Mtodo para remover um exerccios da lista
*
* @param nome: um String contendo o nome do exerccio
* return: um booleano verificando se houve a remoo ou no
*
*/
  public boolean removerExercicio (String nome) {
    Exercicio temp = null;
    temp = exercicios.procurar(nome);
    if(temp != null) {
    exercicios.excluir(temp);
    return true;
    }
    else
    return false;
  }

/**
* Mtodo para mostrar todos os elementos da lista
*
*/
  public void mostrarTudo () {
    exercicios.mostrarTudo();
  }

/**
* Mtodo para criar um exerccio na lista
*
* @param exercicioTemp: um String contendo o nome do cliente
* return: um booleano verificando se houve a remoo ou no
*
*/
  public void criarExercicio (Exercicio exercicioTemp) throws ExercicioExistenteException {
    exercicios.inserir(exercicioTemp);
  }

/**
* Mtodo para criar um procurar um exercicio na lista
*
* @param exercicioTemp: um String contendo o nome do cliente
* return: um objeto da classe Exercicios
*
*/

/**
* Mtodo para procurar um exerccio na lista
*
* @param exercicioTemp: um String contendo o nome do cliente
* return: um booleano verificando se houve a remoo ou no
*
*/
  public Exercicio procurarExercicio (String nome) {
    return exercicios.procurar( nome );
    }


 public boolean existeExercicio (String nome) {
    Exercicio temp = null;
    temp = exercicios.procurar(nome);
    if(temp != null) {
    return true;
    }
    else
     return false;
 }


//mtodo Get

/**
* Mtodo para retornar o nmero na lista
*
* return: um inteiro contendo o nmero de exercicios
*
*/

  public int getnumeroEx () {
     return exercicios.getnumeroEx();
  }
//mtodo Get

/**
* Mtodo para retornar o nmero na lista
*
* return: um inteiro contendo o nmero de exercicios
*
*/

  public IteratorExercicioConjunto getIterator () {
     return exercicios.getIterator();
  }

}