package Gui;

import javax.swing.UIManager;
import java.awt.*;
import Sistema;
import Cliente.*;
import Exercicio.*;
/**
 * <p>Title: Your Product Name</p>
 * <p>Description: Your description</p>
 * <p>Copyright: Copyright (c) 1999</p>
 * <p>Company: Your Company</p>
 * @author Your Name
 * @version
 */

public class Application {
  boolean packFrame = false;
  Sistema javalight;
  //Construct the application
  public Application() {
    javalight = new Sistema();
    clientesIniciais (javalight);
    Frame frame = new Frame(javalight);
    //Validate frames that have preset sizes
    //Pack frames that have useful preferred size info, e.g. from their layout
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }
    //Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }
  //Main method
  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }

    new Application();
  }

    private void clientesIniciais (Sistema javalightTemp){

     javalightTemp.novoCliente(new Cliente("Joao",89,"H",179,49));
     javalightTemp.novoCliente(new Cliente("Carol",65,"F",169,20));
     javalightTemp.novoCliente(new Cliente("Vitor",70,"H",156,36));
     javalightTemp.novoCliente(new Cliente("Carla",76,"F",160,30));
     javalightTemp.novoCliente(new Cliente("Josemando",60,"H",150,20));

     javalightTemp.novoExercicio(new Exercicio("Correr",15));
     javalightTemp.novoExercicio(new Exercicio("Nadar",15));
     javalightTemp.novoExercicio(new Exercicio("Caminhar",7));
     javalightTemp.novoExercicio(new Exercicio("Malhar",15));
     javalightTemp.novoExercicio(new Exercicio("Porrinha",50));


     }


}