package Gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import Sistema;
import Cliente.*;
import Exercicio.*;
import Alimento.*;
/**
 * <p>Title: Your Product Name</p>
 * <p>Description: Your description</p>
 * <p>Copyright: Copyright (c) 1999</p>
 * <p>Company: Your Company</p>
 * @author Your Name
 * @version
 */

public class FrameLogado extends JFrame {
  private Sistema javalight;
  JScrollPane scrollExercicios = new JScrollPane();


  JPanel contentPane;
  JButton jbExercicios = new JButton();
  JScrollPane jScrollPane1 = new JScrollPane();
  JTextArea jTextArea1 = new JTextArea();
  JToggleButton bAdicionar = new JToggleButton();
  JTextField ftPontos = new JTextField();
  JButton bVerAlimentos = new JButton();
  JTextField jOla = new JTextField();




  //Construct the frame
  public FrameLogado(Sistema javalightTemp) {
    this.javalight = javalightTemp;
    jTextArea1.enable(false);

    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    this.setTitle(this.javalight.getLogado().getNome()+" no dia " + this.javalight.getDia()
       + " na semana " + this.javalight.getSemanaAtual() );
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }

  }

  //Component initialization
  private void jbInit() throws Exception  {
    //setIconImage(Toolkit.getDefaultToolkit().createImage(Frame.class.getResource("[Your Icon]")));
    contentPane = (JPanel) this.getContentPane();
    jbExercicios.setBounds(new Rectangle(9, 137, 130, 29));
    jbExercicios.setText(" Ver Exercicios");
    jOla.setBackground(new Color(0, 150, 210));
    jOla.setText( "Ol ," +  this.javalight.getLogado().getNome() + "!!!");
    jOla.enable(false);
    jbExercicios.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jbExercicios_actionPerformed(e);
      }
    });
    contentPane.setLayout(null);
    this.getContentPane().setBackground(new Color(0, 151, 209));
    this.setSize(new Dimension(550, 491));
    this.setTitle("JavaLight");

    jScrollPane1.setBounds(new Rectangle(205, 64, 315, 209));
    bAdicionar.setText("NovoExercicio");
    bAdicionar.setBounds(new Rectangle(5, 78, 135, 36));
    bAdicionar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        bAdicionar_actionPerformed(e);
      }
    });
    ftPontos.setBounds(new Rectangle(323, 18, 62, 33));
    bVerAlimentos.setBounds(new Rectangle(10, 182, 128, 33));
    bVerAlimentos.setText("Ver Alimentos");
    bVerAlimentos.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        bVerAlimentos_actionPerformed(e);
      }
    });
    contentPane.setBackground(new Color(0, 150, 210));
    jOla.setBounds(new Rectangle(22, 13, 174, 21));
    contentPane.add(ftPontos, null);
    contentPane.add(jOla, null);
    contentPane.add(jbExercicios, null);
    contentPane.add(jScrollPane1, null);
    contentPane.add(bAdicionar, null);
    contentPane.add(bVerAlimentos, null);
    jScrollPane1.getViewport().add(jTextArea1, null);
  }
  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }

  void jbExercicios_actionPerformed(ActionEvent e) {
    IteratorExercicioConjunto exercicios;
    String text;
    jTextArea1.setText("");
    exercicios = javalight.getCadastroExercicios().getIterator();

    while(exercicios.hasNext()){
       text = exercicios.next().getNome();
       if(text != null)
       jTextArea1.append(text+"\n");

    }


/*

   try {
      Cliente proc = fachada.procurarCliente(cpf);
      tfNome.setText(proc.getNome());
      DefaultListModel model = new DefaultListModel();

      ColecaoContasIteravel contas = fachada.procurarContas(cpf);
      while(contas.hasNext()){
        model.addElement(contas.next());
      }
      listContas.setModel(model);
    }catch (ClienteInexistenteException ex) {
      JOptionPane.showMessageDialog(this,ex.getMessage(), "Erro de procura",JOptionPane.OK_OPTION);
    }
*/
  }

  void bAdicionar_actionPerformed(ActionEvent e) {
      FrameAlterarDados novo = new FrameAlterarDados(this.javalight);
      novo.show();
  }

  void bVerAlimentos_actionPerformed(ActionEvent e) {
    jTextArea1.setText("");
    IteratorAlimentoConjunto alimentos;
    String text;
    alimentos = javalight.getCadastroAlimentos().getIterator();

    while(alimentos.hasNext()){
       text = alimentos.next().getNome();
       if(text != null)
       jTextArea1.append(text+"\n");


  }

}



}