package Alimento;

public interface RepositorioAlimentos {
/**
* Mtodo para inserir um alimento na lista
*
* @param alimentoTemp: int com a frequncia do exerccio
*
*/
   public void inserir (Alimento alimentoTemp) throws AlimentoExistenteException ;

/**
* Mtodo para mostrar a lista de alimentos
*
* return: booleano mostrando se a lista existe ou no
*
*/
   public boolean mostrarTudo( );
/**
* Mtodo para excluir um alimento da dieta
*
* @param alimentoTemp: int com a frequncia do exerccio
*
*/
   public boolean excluir( String nomeAlimentoTemp ) throws AlimentoInexistenteException;

/**
* Mtodo para procurar um alimento
*
* @param nome: String com o nome do cliente
* return: Objeto do tipo Alimento
*
*/
   public Alimento procurar(String nome);

/**
* Mtodo para procurar um alimento na lista
*
* @param nome: String com o nome do alimento
* return: um booleano mostrando se o alimento foi encontrado ou no
*
*/
  public boolean existe (String nome);


  public int getNumeroAl ();


  public IteratorAlimentoConjunto getIterator();



}



