/**
 * Projeto: JavaLight
 * Tipo: Domestica
 * @author Gustavo Santana(gals@cin.ufpe.br)
 */
package Domestica;

public interface RepositorioDomesticas {
  /**
  * Mtodo inserir
  *
  * @param domesticaTemp: Objeto do tipo Domestica
  *
  */
  public void inserir (Domestica domesticaTemp) throws DomesticaExistenteException;

  /**
  * Mtodo mostrarTudo
  *
  *
  */
  public void mostrarTudo( );

  /**
  * Mtodo excluir
  *
  * @param domesticaTemp: Objeto do tipo Domestica
  *
  */
  public void excluir( Domestica domesticaTemp ) throws DomesticaInexistenteException ;

  /**
  * Mtodo procurar
  *
  * @param nome: String contendo o nome do Domestica
  *
  */
  public Domestica procurar(String nome) ;

  /**
  * Mtodo existe
  *
  * @param nome: String contendo o nome do Domestica
  *
  */
  public boolean existe(String nome);

  /**
  * Mtodo getnumeroEx
  *
  * return: inteiro contendo o nmero de exerccios na lista
  *
  */
  public int getnumeroDo ();

 /**
  * Mtodo para retornar o iterator
  *
  * @return: Iterator
  *
  */
  public IteratorDomesticaConjunto getIterator();
}