package Exercicio;

public interface RepositorioExercicios {

   /**
  * Mtodo inserir
  *
  * @param exercicioTemp: Objeto do tipo Exercicio
  *
  */
  public void inserir (Exercicio exercicioTemp)throws ExercicioExistenteException;

  /**
  * Mtodo mostrarTudo
  *
  *
  */
  public void mostrarTudo( );

  /**
  * Mtodo excluir
  *
  * @param exercicioTemp: Objeto do tipo Exercicio
  *
  */
  public void excluir( Exercicio exercicioTemp );

  /**
  * Mtodo procurar
  *
  * @param nome: String contendo o nome do Exercicio
  *
  */
  public Exercicio procurar(String nome);
  /**
  * Mtodo existe
  *
  * @param nome: String contendo o nome do Exercicio
  *
  */

 public boolean existe(String nome);
  /**
  * Mtodo getnumeroEx
  *
  * return: inteiro contendo o nmero de exerccios na lista
  *
  */
  public int getnumeroEx ();
 /**
* Mtodo para retornar o iterator
*
* @return: Iterator
*
*/

  public IteratorExercicioConjunto getIterator();
}