/**
 * <p>Title: Your Product Name</p>
 * <p>Description: Your description</p>
 * <p>Copyright: Copyright (c) 1999</p>
 * <p>Company: Your Company</p>
 * @author Your Name
 * @version
 */
package Semana;

import java.util.Vector;

public class IteratorSemanaConjunto implements IteratorSemana{
    private int indiceAtual, tamanho;
    private Vector vetor;

    public IteratorSemanaConjunto() {
        indiceAtual = 0;
        tamanho = 0;
        vetor = new Vector();
    }

    public Semana[] next() {
        Semana[] semanaTemp;

        if(indiceAtual <= tamanho) {
            semanaTemp = (Semana[]) vetor.elementAt(indiceAtual);

            if (indiceAtual == tamanho) {
                indiceAtual = 0;
            } else {
                indiceAtual++;
            }
        } else {
            semanaTemp = null;
            indiceAtual = 0;
        }

        return semanaTemp;
    }

    public boolean hasNext() {
        boolean teste = false;

        if( indiceAtual == (tamanho-1) ) {
          teste = false;
        } else {
          teste = true;
        }
        return teste;
    }

    public void add (Semana[] semanaTemp) {
        if( semanaTemp == null ) {
            throw new IllegalArgumentException("Argumento invlido.");
        } else {
            vetor.add(semanaTemp);
            tamanho++;
        }
    }
}